import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"simple-browser",displayName:"%displayName%",description:"%description%",enabledApiProposals:["externalUriOpener"],version:"1.0.0",icon:"media/icon.png",publisher:"vscode",license:"MIT",aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",engines:{vscode:"^1.70.0"},main:undefined,browser:"./dist/browser/extension",categories:["Other"],extensionKind:["ui","workspace"],activationEvents:["onCommand:simpleBrowser.api.open","onOpenExternalUri:http","onOpenExternalUri:https","onWebviewPanel:simpleBrowser.view"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},contributes:{commands:[{command:"simpleBrowser.show",title:"Show",category:"Simple Browser"}],configuration:[{title:"Simple Browser",properties:{"simpleBrowser.focusLockIndicator.enabled":{type:"boolean","default":true,title:"Focus Lock Indicator Enabled",description:"%configuration.focusLockIndicator.enabled.description%"}}}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), {"mimeType":"text/markdown","size":301});
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":8525});
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":8525});
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), {"mimeType":"application/json","size":20042});
registerFileUrl('media/codicon.css', new URL('./resources/codicon.css.txt', import.meta.url).toString(), {"mimeType":"text/css","size":133000});
registerFileUrl('media/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), {"mimeType":"image/png","size":1787});
registerFileUrl('media/index', new URL('./resources/index.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":1507});
registerFileUrl('media/index.js', new URL('./resources/index.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":1507});
registerFileUrl('media/main.css', new URL('./resources/main.css.txt', import.meta.url).toString(), {"mimeType":"text/css","size":2313});
registerFileUrl('media/preview-dark.svg', new URL('./resources/preview-dark.svg', import.meta.url).toString(), {"mimeType":"image/svg+xml","size":312});
registerFileUrl('media/preview-light.svg', new URL('./resources/preview-light.svg', import.meta.url).toString(), {"mimeType":"image/svg+xml","size":312});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":1099});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":248});

export { whenReady };
